Bug 1096807 - Review Request: mingw-SDL2_image - MinGW Windows port of the Image loading library for SDL2
Summary: Review Request: mingw-SDL2_image - MinGW Windows port of the Image loading li...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Erik van Pienbroek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1096796
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-12 13:01 UTC by Marcel Wysocki
Modified: 2015-03-14 09:16 UTC (History)
5 users (show)

Fixed In Version: mingw-SDL2_image-2.0.0-4.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-14 09:12:41 UTC
erik-fedora: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Marcel Wysocki 2014-05-12 13:01:37 UTC
Spec URL: https://raw.githubusercontent.com/maci0/rpmbuild/master/SPECS/mingw-SDL2_image.spec
SRPM URL: https://github.com/maci0/rpmbuild/raw/master/SRPMS/mingw-SDL2_image-2.0.0-1.fc20.src.rpm
Description: MinGW Windows port of the Image loading library for SDL2
Fedora Account System Username: maci

Comment 1 Erik van Pienbroek 2014-05-12 17:30:13 UTC
Taking for review

The BuildRequires mingw32-binutils and mingw64-binutils are unneeded and can be removed

The Requires pkgconfig can also be removed (automatically added during build)

In the %files section the '%{mingw32_includedir}/SDL2' needs to be replaced with '%{mingw32_includedir}/SDL2/*' as the folder in question is already owned by the mingw-SDL2 package (same applies as well for the mingw64 section)

Comment 2 Marcel Wysocki 2014-05-13 16:25:14 UTC
Update:
* Tue May 13 2014 Marcel Wysocki <maci@satgnu.net> - 2.0.0-2
- Removed redundant BuildRequires

Spec URL: https://raw.githubusercontent.com/maci0/rpmbuild/master/SPECS/mingw-SDL2_image.spec
SRPM URL: https://github.com/maci0/rpmbuild/raw/master/SRPMS/mingw-SDL2_image-2.0.0-2.fc20.src.rpm

Comment 4 Marcel Wysocki 2014-05-16 16:46:43 UTC
woops, my bad..


SRPM URL: https://rawgit.com/maci0/rpmbuild/master/SRPMS/mingw-SDL2_image-2.0.0-2.fc20.src.rpm

Comment 5 Marcel Wysocki 2014-07-21 13:48:58 UTC
Update:
* Mon Jul 21 2014 maci <maci@satgnu.net> - 2.0.0-3
- Fix homepage URL

Spec URL: https://rawgit.com/maci0/rpmbuild/master/SPECS/mingw-SDL2_image.spec
SRPM URL: https://rawgit.com/maci0/rpmbuild/master/SRPMS/mingw-SDL2_image-2.0.0-3.fc20.src.rpm

Comment 6 Marcel Wysocki 2014-10-17 12:03:20 UTC
Anything still in the way of this ?

Comment 7 Vasiliy Glazov 2015-01-29 10:00:04 UTC
Please, correct this errors and warnings:

W: wrong-file-end-of-line-encoding /usr/share/doc/mingw32-SDL2_image/CHANGES.txt
W: wrong-file-end-of-line-encoding /usr/share/doc/mingw32-SDL2_image/COPYING.txt
W: wrong-file-end-of-line-encoding /usr/share/doc/mingw32-SDL2_image/README.txt

mingw32-SDL2_image-debuginfo.noarch: E: debuginfo-without-sources
mingw64-SDL2_image-debuginfo.noarch: E: debuginfo-without-sources

Comment 8 Marcel Wysocki 2015-02-06 14:13:30 UTC
Hi, I have fixed the warnings. However it is not possible to fix the error message. See https://fedoraproject.org/wiki/MinGW/Rpmlint#debuginfo-without-sources

%changelog
* Fri Feb 06 2015 maci <maci@satgnu.net> - 2.0.0-4
- Strip wrong end of line encoding in README.txt CHANGES.txt COPYING.txt
- Fedora 21 rebuild

Spec URL: https://rawgit.com/maci0/rpmbuild/master/SPECS/mingw-SDL2_image.spec
SRPM URL: https://rawgit.com/maci0/rpmbuild/master/SRPMS/mingw-SDL2_image-2.0.0-4.fc21.src.rpm

Comment 9 Marcel Wysocki 2015-03-01 08:44:37 UTC
Anything else still standing in the way here ?

I would really like to get this package approved.

Comment 10 Richard Shaw 2015-03-01 13:59:55 UTC
(In reply to Marcel Wysocki from comment #9)
> Anything else still standing in the way here ?

Not a blocker, but doing a quick spec review I wonder if the package description is copied to a %{description} macro? I've never needed it before so I haven't tried it. That would make the spec a bit cleaner and keep them in sync if you ever need to change it instead of repeating it 3 times.

Also, there's usually something at the end of the descriptions to the effect of "This is for the win32/win64 target".

Comment 11 Erik van Pienbroek 2015-03-03 08:12:06 UTC
My deepest apologies for letting this review ticket remain open for such a long time..
Here's the final review:

$ rpmlint mingw-SDL2_image.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint mingw-SDL2_image-2.0.0-4.fc22.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint mingw32-SDL2_image-2.0.0-4.fc22.noarch.rpm mingw64-SDL2_image-2.0.0-4.fc22.noarch.rpm 
2 packages and 0 specfiles checked; 0 errors, 0 warnings.


$ rpm --query --requires mingw32-SDL_image
pkgconfig
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
mingw32-crt
mingw32-filesystem >= 95
mingw32(kernel32.dll)
mingw32(libjpeg-62.dll)
mingw32(libpng16-16.dll)
mingw32(libtiff-5.dll)
mingw32(msvcrt.dll)
mingw32-pkg-config
mingw32(sdl.dll)
rpmlib(PayloadIsXz) <= 5.2-1

$ rpm --query --requires mingw64-SDL_image
pkgconfig
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
mingw64-crt
mingw64-filesystem >= 95
mingw64(kernel32.dll)
mingw64(libjpeg-62.dll)
mingw64(libpng16-16.dll)
mingw64(libtiff-5.dll)
mingw64(msvcrt.dll)
mingw64-pkg-config
mingw64(sdl.dll)
rpmlib(PayloadIsXz) <= 5.2-1


$ rpm --query --provides mingw32-SDL_image
mingw32-SDL_image = 1.2.12-11.fc21
mingw32(sdl_image.dll)

$ rpm --query --provides mingw64-SDL_image
mingw64-SDL_image = 1.2.12-11.fc21
mingw64(sdl_image.dll)


$ wget --quiet http://www.libSDL.org/projects/SDL_image/release/SDL2_image-2.0.0.tar.gz -O - | md5sum
fb399c8386fb3248f1b33cfe81bdf92b  -
$ md5sum SDL2_image-2.0.0.tar.gz 
fb399c8386fb3248f1b33cfe81bdf92b  SDL2_image-2.0.0.tar.gz


+ OK
! Needs to be looked into
/ Not applicable

[!] Compliant with generic Fedora Packaging Guidelines
[+] Source package name is prefixed with 'mingw-'
[+] Spec file starts with %{?mingw_package_header}
[+] BuildRequires: mingw32-filesystem >= 95 is in the .spec file
[+] BuildRequires: mingw64-filesystem >= 95 is in the .spec file
[+] Spec file contains %package sections for both mingw32 and mingw64 packages
[+] Binary mingw32 and mingw64 packages are noarch
[+] Spec file contains %{?mingw_debug_package} after the %description section
[+] Uses one of the macros %mingw_configure, %mingw_cmake, or %mingw_cmake_kde4
    to configure the package
[+] Uses the macro %mingw_make to build the package
[+] Uses the macro %mingw_make to install the package
[/] If package contains translations, the %mingw_find_lang macro must be used
[+] No binary package named mingw-$pkgname is generated
[+] Libtool .la files are not bundled
[+] .def files are not bundled
[+] Man pages which duplicate native package are not bundled
[+] Info files which duplicate native package are not bundled
[+] Provides of the binary mingw32 and mingw64 packages are equal
[+] Requires of the binary mingw32 and mingw64 packages are equal


The BuildRequires for mingw32-gcc and mingw64-gcc is optional
and can be removed, but this is a cosmetic thing.

======================================================
 The package mingw-SDL2_image is APPROVED by epienbro
======================================================

Comment 12 Marcel Wysocki 2015-03-05 10:34:47 UTC
New Package SCM Request
=======================
Package Name: mingw-SDL2_image
Short Description: MinGW Windows port of the Image loading library for SDL2
Upstream URL: https://www.libsdl.org/projects/SDL_image/
Owners: maci epienbro
Branches: f20 f21 f22 epel7
InitialCC:

Comment 13 Gwyn Ciesla 2015-03-05 15:11:01 UTC
Git done (by process-git-requests).

Comment 14 Fedora Update System 2015-03-05 15:35:26 UTC
mingw-SDL2_image-2.0.0-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mingw-SDL2_image-2.0.0-4.fc20

Comment 15 Fedora Update System 2015-03-05 15:36:30 UTC
mingw-SDL2_image-2.0.0-4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/mingw-SDL2_image-2.0.0-4.fc21

Comment 16 Fedora Update System 2015-03-05 15:37:02 UTC
mingw-SDL2_image-2.0.0-4.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/mingw-SDL2_image-2.0.0-4.fc22

Comment 17 Fedora Update System 2015-03-05 17:12:07 UTC
mingw-SDL2_image-2.0.0-4.fc22 has been pushed to the Fedora 22 testing repository.

Comment 18 Fedora Update System 2015-03-14 09:12:41 UTC
mingw-SDL2_image-2.0.0-4.fc22 has been pushed to the Fedora 22 stable repository.

Comment 19 Fedora Update System 2015-03-14 09:13:57 UTC
mingw-SDL2_image-2.0.0-4.fc20 has been pushed to the Fedora 20 stable repository.

Comment 20 Fedora Update System 2015-03-14 09:16:46 UTC
mingw-SDL2_image-2.0.0-4.fc21 has been pushed to the Fedora 21 stable repository.


Note You need to log in before you can comment on or make changes to this bug.